> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Face Analyzer Advanced

> Face Analyzer Advanced API detects facial attributes and quality metrics, including age, gender, expression, pose, blur, and occlusion.



## OpenAPI

````yaml /docs/openapi.json post /api/portrait/analysis/face-analyzer-advanced
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations. 
     
    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/portrait/analysis/face-analyzer-advanced:
    post:
      tags:
        - AI PORTRAIT > Portrait Analysis
      summary: Face Analyzer Advanced
      description: >-
        Face Analyzer Advanced API detects facial attributes and quality
        metrics, including age, gender, expression, pose, blur, and occlusion.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                image:
                  type: string
                  format: binary
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                request_id: ''
                log_id: ''
                error_detail:
                  code: ''
                  code_message: ''
                  message: ''
                image_width: 0
                image_height: 0
                face_detail_infos:
                  - face_rect:
                      x: 0
                      'y': 0
                      width: 0
                      height: 0
                    face_detail_attributes_info:
                      age: 0
                      beauty: 0
                      emotion:
                        type: 0
                        probability: 0
                      eye:
                        glass:
                          type: 0
                          probability: 0.99936753511429
                        eye_open:
                          type: 0
                          probability: 0.99949336051941
                        eyelid_type:
                          type: 1
                          probability: 0.75467920303345
                        eye_size:
                          type: 2
                          probability: 0.59152442216873
                      eyebrow:
                        eyebrow_density:
                          type: 0
                          probability: 0
                        eyebrow_curve:
                          type: 0
                          probability: 0
                        eyebrow_length:
                          type: 0
                          probability: 0
                      gender:
                        type: 0
                        probability: 0
                      hair:
                        length:
                          type: 0
                          probability: 0
                        bang:
                          type: 0
                          probability: 0
                        color:
                          type: 0
                          probability: 0
                      hat:
                        style:
                          type: 0
                          probability: 0
                        color:
                          type: 0
                          probability: 0
                      head_pose:
                        pitch: 0
                        yaw: 0
                        roll: 0
                      mask:
                        type: 0
                        probability: 0
                      mouth:
                        mouth_open:
                          type: 0
                          probability: 0
                      moustache:
                        type: 0
                        probability: 0
                      nose:
                        type: 2
                        probability: 0.75233882665634
                      shape:
                        type: 0
                        probability: 0
                      skin:
                        type: 0
                        probability: 0
                      smile: 0
          description: Success
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````